import bpy


addonName = "blender"

def _registerAddonName(name: str):
    global addonName
    addonName = name

def getAddonPreferences() -> bpy.types.AddonPreferences | None:
    # check if addons exists
    if not bpy.context.preferences.addons:
        return None
    # check if addon exists
    if addonName not in bpy.context.preferences.addons:
        return None
    if  bpy.context.preferences.addons[addonName]:
        return bpy.context.preferences.addons[addonName].preferences
    return None
